DIFF(1)

NIMI
diff - Vertaa tiedostoja rivi riviltä

YLEISKATSAUS
diff [VALITSIN]... TIEDOSTOT

KUVAUS
Vertaa TIEDOSTOja rivi riviltä.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

--normal
    tulosta normaali diff (oletus)

-q, --brief
    kertoo vain, eroavatko tiedostot

-s, --report-identical-files
    ilmoita, jos kaksi tiedostoa ovat samat

-c, -C NUM, --context[=MÄÄRÄ]
    tulosta MÄÄRÄ riviä (oletus 3) kopioitua kontekstia

-u, -U NUM, --unified[=MÄÄRÄ]
    tulosta MÄÄRÄ riviä (oletus 3) yhtenäistettyä kontekstia

-e, --ed
    tulosta ed-skripti

-n, --rcs
    tulosta RCS-muotoinen diff

-y, --side-by-side
    tulosta kahdelle palstalle

-W, --width=MÄÄRÄ
    tulosta enintään MÄÄRÄ (oletus 130) merkkiä riville

--left-column
    tulosta vain yhteisten rivien vasen palsta

--suppress-common-lines
    älä tulosta yhteisiä rivejä

-p, --show-c-function
    näytä missä C-funktiossa kukin muutos on

-F, --show-function-line=SL
    näytä viimeisin SL-lausekkeeseen täsmäävä rivi

--label NIMIÖ
    käytä NIMIÖtä tiedostonimen ja aikaleiman sijaan (voidaan toistaa)

-t, --expand-tabs
    laajenna sarkaimet välilyönneiksi tulosteessa

-T, --initial-tab
    kohdista sarkaimet lisäämällä sarkaimia

--tabsize=KOKO
    sarkaimet joka KOKO. merkin välein (oletus 8)

--suppress-blank-empty
    vaienna välilyönti tai sarkain tyhjien tulosterivien edeltä

-l, --paginate
    ohjaa tuloste ”pr”-ohjelman läpi sivunumerointia varten

-r, --recursive
    vertaa löytyneitä alihakemistoja rekursiivisesti

--no-dereference
    älä seuraa symbolisia linkkejä

-N, --new-file
    käsittele puuttuvia tiedostoja tyhjinä

--unidirectional-new-file
    käsittele puuttuvia tiedostoja tyhjinä

--ignore-file-name-case
    älä huomioi kirjainkokoa tiedostonimiä verrattaessa

--no-ignore-file-name-case
    huomioi kirjankoko tiedostonimiä verrattaessa

-x, --exclude=HAHMO
    jätä pois tiedostot, jotka täsmäävät HAHMOon

-X, --exclude-from=TIEDOSTO
    jätä pois TIEDOSTOssa lueteltuihin hahmoihin täsmäävät tiedostot

-S, --starting-file=TIEDOSTO
    aloita TIEDOSTOlla hakemistoja verrattaessa

--from-file=TIEDOSTO1
    vertaa TIEDOSTO1:tä kaikkiin operandeihin; TIEDOSTO1 voi olla hakemisto

--to-file=TIEDOSTO2
    vertaa kaikkia operandeja TIEDOSTO2:een; TIEDOSTO2 voi olla hakemisto

-i, --ignore-case
    älä huomioi kirjainkokoa tiedostojen sisällössä

-E, --ignore-tab-expansion
    älä huomioi sarkainten laajennuksesta johtuvia eroja

-Z, --ignore-trailing-space
    älä huomioi tyhjeitä rivin lopussa

-b, --ignore-space-change
    älä huomioi tyhjemerkkien määrästä johtuvia eroja

-w, --ignore-all-space
    älä huomioi tyhjiä merkkejä

-B, --ignore-blank-lines
    älä huomioi tyhjistä riveistä johtuvia eroja

-I, --ignore-matching-lines=SL
    älä huomioi eroavia rivejä, jotka kaikki täsmäävät säännölliseen lausekkeeseen SL

-a, --text
    käsittele kaikki tiedostot tekstinä

--strip-trailing-cr
    poista vaununpalautus syötteen lopusta

-D, --ifdef=NIMI
    tulosta yhdistetty tiedosto ”#ifdef NIMI” -eroin

--GTYYPPI-group-format=GMUOTO
    muotoile GTYYPPIset syöteryhmät GMUOTOon

--line-format=LMUOTO
    muotoile kaikki syöterivit LMUOTOon

--LTYPE-line-format=LMUOTO
    muotoile LTYYPPI-syöterivit LMUOTOon

    Näillä muotoiluvalitsimilla hienosäädetään diffin tulostetta,

    yleistäen -D/--ifdef.

LTYYPPI on ”old”, ”new” tai ”unchanged”.
    GTYYPPI on LTYYPPI tai ”changed”.

    (vain) GMUOTO voi sisältää:

%<  rivejä TIEDOSTO1:stä

%>  rivejä TIEDOSTO2:sta

%=  TIEDOSTO1:n ja TIEDOSTO2:n yhteiset rivit

%[-][LEVEYS][.[TARKK]]{doxX}KIRJAIN
    printf-tyylinen määritys KIRJAIMelle

    KIRJAIMET ovat seuraavat uudelle ryhmälle; pienet kirjaimet vanhalle ryhmälle:

F   ensimmäinen rivinumero

L   viimeinen rivinumero

N   rivien määrä = L-F+1

E   F-1

M   L+1

%(A=B?T:E)
    jos A yhtäkuin B niin T muuten E

    (vain) LMUOTO voi sisältää:

%L  rivin sisältö

%l  rivin sisältö, mahdollinen jälkeinen rivinvaihto poistettuna

%[-][LEVEYS][.[TARKK]]{doxX}n
    printf-tyylinen määritys rivinumerolle

    Sekä GMUOTO että LMUOTO voivat sisältää:

%%  %

%c'C'
    yksittäinen merkki C

%c'\OOO'
    yksittäinen merkki, jonka oktaalikoodi OOO

C   merkki C (loput merkit vastaavat itseään)

-d, --minimal
    yritä kovin löytää pienempi muutosjoukko

--horizon-lines=MÄÄRÄ
    säilytä MÄÄRÄ riviä yhteisistä etu- ja jälkiliitteistä

--speed-large-files
    olettaa tiedostojen olevan suuria ja muutosten pieniä sekä hajanaisia

--color[=MILLOIN]
    väritä tuloste; MILLOIN voi olla ”never”, ”always”, tai ”auto”; pelkkä --color on sama kuin --color=auto

--palette=PALETTI
    käytettävät värit, kun --color on käytössä; PALETTI on kaksoispiste-eroteltu luettelo terminfo-kyvyistä

--help
    näytä tämä ohje ja poistu

-v, --version
    näytä versiotiedot ja poistu

TIEDOSTOT ovat ”TIEDOSTO1 TIEDOSTO2” tai ”HAK1 HAK2” tai ”HAK TIEDOSTO” tai ”TIEDOSTO HAK”. Jos --from-file tai --to-file on annettu, TIEDOSTO(i)lle ei ole rajoitteita. Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä. Paluuarvo on 0, jos syötteet ovat samoja, 1 jos erilaisia, ongelmatilanteissa 2.

TEKIJÄ
Kirjoittaneet Paul Eggert, Mike Haertel, David Hayes, Richard Stallman ja Len Tower.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-DIFFutils@gnu.org
GNU diffutils-kotisivu: <https://www.gnu.org/software/diffutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>

TEKIJÄNOIKEUDET
Copyright © 2021 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

Ohjelman diff täydellinen dokumentaatio ylläpidetään Texinfo-manuaalissa. Mikäli ohjelmat info ja diff on täysin asennettu, komennon

    info diff

pitäisi antaa täydellinen manuaali luettavaksi.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tommi Vainikainen <mucus@pcuf.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.